PIntSameOrder< type > Struct Template Reference

`#include <object.h>`

## Public Member Functions

__inline | PIntSameOrder ()
__inline | PIntSameOrder (type value)
__inline | PIntSameOrder (const PIntSameOrder &value)
__inline PIntSameOrder & | operator= (type value)
__inline PIntSameOrder & | operator= (const PIntSameOrder &value)
__inline | operator type () const

## Friends

__inline friend ostream & | operator<< (ostream &s, const PIntSameOrder &v)
__inline friend istream & | operator>> (istream &s, PIntSameOrder &v)

## Constructor & Destructor Documentation

## PIntSameOrder() [1/3]

template<typename type >

__inline PIntSameOrder< type >::PIntSameOrder | ( |  | ) |

inline

## PIntSameOrder() [2/3]

template<typename type >

__inline PIntSameOrder< type >::PIntSameOrder | ( | type | value | ) |

inline

## PIntSameOrder() [3/3]

template<typename type >

__inline PIntSameOrder< type >::PIntSameOrder | ( | const PIntSameOrder< type > & | value | ) |

inline

## Member Function Documentation

## operator type()

template<typename type >

__inline PIntSameOrder< type >::operator type | ( |  | ) | const

inline

## operator=() [1/2]

template<typename type >

__inline PIntSameOrder& PIntSameOrder< type >::operator= | ( | type | value | ) |

inline

## operator=() [2/2]

template<typename type >

__inline PIntSameOrder& PIntSameOrder< type >::operator= | ( | const PIntSameOrder< type > & | value | ) |

inline

## Friends And Related Function Documentation

## operator<<

template<typename type >

__inline friend ostream& operator<< | ( | ostream & | s,
|  | const PIntSameOrder< type > & | v
| ) |  |

friend

## operator>>

template<typename type >

__inline friend istream& operator>> | ( | istream & | s,
|  | PIntSameOrder< type > & | v
| ) |  |

friend

The documentation for this struct was generated from the following file:

- object.h